glab(1)

NAME

glab-release-delete - Delete a GitLab Release

SYNOPSIS

glab release delete [flags]

DESCRIPTION

Delete release assets to GitLab Release

Deleting a release does not delete the associated tag unless --with-tag is specified. Maintainer level access to the project is required to delete a release.

OPTIONS

-t, --with-tag[=false]
    Delete associated tag

-y, --yes[=false]
    Skip confirmation prompt

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    Delete a release (with a confirmation prompt')
    $ glab release delete v1.1.0'
    Skip the confirmation prompt and force delete
    $ glab release delete v1.0.1 -y
    Delete release and associated tag
    $ glab release delete v1.0.1 --with-tag

SEE ALSO

glab-release(1)